
Foreman - Bug #13230

Oauth headers are no longer working with rails 4

01/14/2016 04:53 PM - John Mitsch

Status: Closed   

Priority: Normal   

Assignee: John Mitsch   

Category: Authentication   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3079

  

Description

This https://github.com/theforeman/foreman/blob/94508562b8c10b8b53dcb0badaa8abe31887d059/app/services/sso/oauth.rb#L22

has changed to HTTP_FOREMAN_USER. Rails 4 names headers in uppercase prefixed with HTTP.

See http://stackoverflow.com/questions/19972313/accessing-custom-header-variables-in-ruby-on-rails

Related issues:

Has duplicate Katello - Bug #13018: Hitting a 401 error when registering caps... Duplicate 01/06/2016

Associated revisions

Revision 0a8eb73d - 01/15/2016 12:57 PM - John Mitsch

Fixes #13230 - Oauth headers change in rails 4

History

#1 - 01/14/2016 05:00 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to John Mitsch

- Pull request https://github.com/theforeman/foreman/pull/3079 added

#2 - 01/15/2016 02:59 AM - Dominic Cleal

- Category set to Authentication

- translation missing: en.field_release set to 71

#3 - 01/15/2016 11:43 AM - Eric Helms

- Has duplicate Bug #13018: Hitting a 401 error when registering capsule during a dev install added

#4 - 01/15/2016 01:02 PM - John Mitsch

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0a8eb73d9484952a65b9995a7ecaa73784ac4ac2.
